/**
 * 
 */
package view;

import java.awt.HeadlessException;

import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class JFrameVideoSample1 extends JFrame {

	private static final long serialVersionUID = 1L;

	private static final int FRAME_WIDTH = 325;
	private static final int FRAME_HEIGHT = 265;

	private JPanel jContentPane = null;
	
	/**
	 * @throws HeadlessException
	 */
	public JFrameVideoSample1() {
		super();
		
		initialize();
	}

	/**
	 * This method initializes this
	 */
	private void initialize() {
		this.setTitle("MyJFrameVideoSample1Title"); // On donne un titre  l'application
		this.setSize(FRAME_WIDTH, FRAME_HEIGHT); // On donne une taille  notre fentre
		this.setLocationRelativeTo(null); // On centre la fentre  l'cran
		this.setResizable(false); // On interdit le redimensionnement de la fentre
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // On dit  l'application de se fermer lors du clic sur la croix
		this.setContentPane(getJContentPane());
	}
	
	/**
	 * This method initializes this.jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (this.jContentPane == null) {
			this.jContentPane = new JPanel();
			this.jContentPane.setLayout(null);
			
			this.jContentPane.add(new JPanelVideoSample1(this));
		}
		
		return this.jContentPane;
	}
}